Bug 211807 - www/drush: Update to 8.1.3
Summary: www/drush: Update to 8.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-13 10:29 UTC by Kurt Jaeger
Modified: 2016-08-23 19:46 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
patch (25.68 KB, patch)
2016-08-13 10:29 UTC, Kurt Jaeger
no flags Details | Diff
Update to 8.1.3. (12.10 KB, patch)
2016-08-20 12:11 UTC, Matthias Fechner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2016-08-13 10:29:38 UTC
Created attachment 173627 [details]
patch

testbuilds are fine, portlint besides a few .info noises is happy, too.

See

https://lists.freebsd.org/pipermail/freebsd-ports/2016-August/104360.html
Comment 1 Matthias Fechner freebsd_committer 2016-08-13 10:45:20 UTC
I tested your patch and it compiles fine.
But it seems to have missing dependencies.
If you install it and simply run it with:
drush --version

you get:
Unable to load autoload.php. Run composer install to fetch dependencies and write this file (http://docs.drush.org/en/master/install-alternative/). Or if you prefer, use the drush.phar which already has depdencies included (http://docs.drush.org/en/master/install).


I think it will be better to use drush.phar (https://github.com/drush-ops/drush/releases/download/8.1.3/drush.phar) and store it as drush in /usr/local/bin.

Just did it manually:
wget "https://github.com/drush-ops/drush/releases/download/8.1.3/drush.phar"
chmod +x drush.phar
./drush.phar --version
 Drush Version   :  8.1.3
Comment 3 Kurt Jaeger freebsd_committer 2016-08-14 07:43:43 UTC
Matthias: If I download drush.phar as described and execute it outside /usr/local/bin, it hangs. It works as /usr/local/bin/drush. So, while this is a bit strange, that approach might work.

Walter: I vaguely grasp what composer will do, but I have no idea on how to
integrate that into the port. Any ideas ?
Comment 4 Walter Schwarzenfeld freebsd_triage 2016-08-14 14:26:55 UTC
I was too quick, composer will not help with this problem, I misunderstood.
My idea:
Drush.phar may be included in this port with a second Makefile, e.g. Makefile.phar, Which will only fetch, extract and copy it to the right place. And simply add a pkg-message file which describes what drush.phar do.
Comment 5 geoffroy desvernay 2016-08-20 09:15:28 UTC
Hi all, sorry I don't have time to look at this, introduction on composer makes it much more hard to KISS here…
My first idea was to delete the port. If someone want to take maintainership let me know.
Comment 6 geoffroy desvernay 2016-08-20 09:17:36 UTC
maybe adding devel/php-composer as dependency ?
Comment 7 Matthias Fechner freebsd_committer 2016-08-20 12:11:10 UTC
Created attachment 173893 [details]
Update to 8.1.3.

I do not know how to build a makefile that fetches correctly from github.
I attached a patch that at least brings the port a working 8.1.3 version of drush.
Please feel free to modify the patch that it has a nice syntax.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-08-20 12:26:53 UTC
Reporter is committer, assign accordingly

Maintainer has provided feedback, reads as implicit approval (for this change and/or maintainership change)
Comment 9 Matthias Fechner freebsd_committer 2016-08-23 09:30:53 UTC
If it is ok, I would take over to be a maintainer for this port.
Comment 10 commit-hook freebsd_committer 2016-08-23 19:45:10 UTC
A commit references this bug:

Author: pi
Date: Tue Aug 23 19:44:21 UTC 2016
New revision: 420739
URL: https://svnweb.freebsd.org/changeset/ports/420739

Log:
  www/drush: 6.5.0 -> 8.1.3

  - submitter becomes maintainer

  PR:		211807
  Changes:	https://github.com/drush-ops/drush/releases/
  Submitted by:	Matthias Fechner <idefix@fechner.net>
  Approved by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr> (maintainer)

Changes:
  head/www/drush/Makefile
  head/www/drush/distinfo
  head/www/drush/pkg-plist
Comment 11 Kurt Jaeger freebsd_committer 2016-08-23 19:46:54 UTC
Committed, thanks!